Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.proxy
Class ProxyProcessorHttp

    java.lang.Object
      things.thinger.service.proxy.ProxyProcessorHttp

All Implemented Interfaces:
  ProxyProcessor

    public class ProxyProcessorHttp

extends java.lang.Object
implements ProxyProcessor

A proxy processor implementation for http.

Version:
  1.0

  Version History

      EPG - Added by request.  This was part of a stand-alone lib for a while. - 10 DEC 08

Author:
  Erich P. Gatejen

Field Summary
`static int` | `BUFFER_SIZE`
`static java.lang.String` | `DEFAULT_EXTENSION`
`static java.lang.String` | `LINE_BODYVALUE`
`static java.lang.String` | `LINE_DROP`
`static java.lang.String` | `LINE_HEADER`
`static java.lang.String` | `LINE_TRANSACTION`
`static java.lang.String` | `LINE_TRANSPORT`
`static java.lang.String` | `LINE_URLVALUE`

Constructor Summary
`ProxyProcessorHttp()` Constructor.

Method Summary
`void` | `process(ProxyContext context)` The processor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_EXTENSION

    public static final java.lang.String DEFAULT_EXTENSION

See Also:
  Constant Field Values

### BUFFER_SIZE

    public static final int BUFFER_SIZE

See Also:
  Constant Field Values

### LINE_TRANSACTION

    public static final java.lang.String LINE_TRANSACTION

See Also:
  Constant Field Values

### LINE_DROP

    public static final java.lang.String LINE_DROP

See Also:
  Constant Field Values

### LINE_TRANSPORT

    public static final java.lang.String LINE_TRANSPORT

See Also:
  Constant Field Values

### LINE_HEADER

    public static final java.lang.String LINE_HEADER

See Also:
  Constant Field Values

### LINE_URLVALUE

    public static final java.lang.String LINE_URLVALUE

See Also:
  Constant Field Values

### LINE_BODYVALUE

    public static final java.lang.String LINE_BODYVALUE

See Also:
  Constant Field Values

Constructor Detail

### ProxyProcessorHttp

    public ProxyProcessorHttp()
                       throws java.lang.Throwable

  Constructor.

  Throws:
    `java.lang.Throwable`

Method Detail

### process

    public void process(ProxyContext context)
                 throws java.lang.Throwable

  The processor. NOT THREAD SAFE!

  Specified by:
    `process` in interface `ProxyProcessor`
  Parameters:
    `context` - the context.
  Throws:
    `java.lang.Throwable` - for any problem.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.